Package csb :: Package bio :: Package sequence :: Class SequenceAlignment

[frames] | no frames]

# Class SequenceAlignment

source code

           object --+
                    |
    AbstractAlignment --+
                        |
                       SequenceAlignment

Known Subclasses:
  - hmm.HHpredHitAlignment

Multiple sequence alignment. See AbstractAlignment for details.

Nested Classes
Inherited from `AbstractAlignment`: `__metaclass__`

Instance Methods
Inherited from `AbstractAlignment`: `__getitem__`, `__init__`, `__iter__`, `add`, `format`, `gap_at`, `subregion` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

SequenceAlignment

parse(string, strict=True) Create a new SequenceAlignment from an mFASTA string. | source code

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `AbstractAlignment`: `columns`, `length`, `rows`, `size` Inherited from `object`: `__class__`

Method Details

### parse(string, strict=True)
Static Method

source code

Create a new SequenceAlignment from an mFASTA string.

Parameters:
  - `string` (str) - MSA-formatted string
  - `strict` (bool) - see AbstractAlignment
Returns: SequenceAlignment